GenericResourcePlugin.Field (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.shared.plugins
Class GenericResourcePlugin.Field

    java.lang.Object
      org.gcube.resourcemanagement.support.shared.plugins.GenericResourcePlugin.Field

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, Serializable

Enclosing class:
  GenericResourcePlugin

    public static class GenericResourcePlugin.Field

extends Object
implements Serializable, com.google.gwt.user.client.rpc.IsSerializable

See Also:
  Serialized Form

Constructor Summary
`GenericResourcePlugin.Field()` Deprecated. for serialization only
`GenericResourcePlugin.Field(String name, GenericResourcePlugin.FieldType type)`
`GenericResourcePlugin.Field(String name, GenericResourcePlugin.FieldType type, boolean required)`
`GenericResourcePlugin.Field(String name, String label, GenericResourcePlugin.FieldType type, boolean required)`

Method Summary
`String` | `getDefaultValue()`
`String` | `getLabel()`
`String` | `getName()` Corresponds to the tag name in the body
`GenericResourcePlugin.FieldType` | `getType()`
`boolean` | `isRequired()`
`void` | `setDefaultValue(String defaultValue)`
`void` | `setIsRequired(boolean required)`
`void` | `setLabel(String label)`
`void` | `setType(GenericResourcePlugin.FieldType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericResourcePlugin.Field

    public GenericResourcePlugin.Field()

  Deprecated. for serialization only

### GenericResourcePlugin.Field

    public GenericResourcePlugin.Field(String name,
                                       GenericResourcePlugin.FieldType type)

### GenericResourcePlugin.Field

    public GenericResourcePlugin.Field(String name,
                                       GenericResourcePlugin.FieldType type,
                                       boolean required)

### GenericResourcePlugin.Field

    public GenericResourcePlugin.Field(String name,
                                       String label,
                                       GenericResourcePlugin.FieldType type,
                                       boolean required)

Method Detail

### getDefaultValue

    public final String getDefaultValue()

### setDefaultValue

    public final void setDefaultValue(String defaultValue)

### setLabel

    public final void setLabel(String label)

### getLabel

    public final String getLabel()

### getName

    public final String getName()

  Corresponds to the tag name in the body

  Returns:

### getType

    public final GenericResourcePlugin.FieldType getType()

### setType

    public final void setType(GenericResourcePlugin.FieldType type)

### isRequired

    public final boolean isRequired()

### setIsRequired

    public final void setIsRequired(boolean required)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.